cancel
Showing results for 
Search instead for 
Did you mean: 

OpenCL

merlion
Journeyman III

Does OpenCL support latest APU in Linux environment?

Dear All,

I want to try OpenCL on AMD APU. I have a question.

Can OpenCL2.0 driver be installed on latest APU in Linux environment, such as A12-9800 APU and Ryzen 5 2400G in Ubuntu OS?

OpenCL 2.0 Driver:

https://support.amd.com/en-us/kb-articles/Pages/OpenCL2-Driver.aspx

7th Gen A12 9800 APU:

https://www.amd.com/en/products/apu/7th-gen-a12-9800-apu

AMD Ryzen™ 5 2400G with Radeon™ RX Vega 11 Graphics:

https://www.amd.com/en/products/apu/amd-ryzen-5-2400g

I just want to make sure about this before I buy the computer.

Hope for your reply!

Thanks!

M

Tags (1)
0 Likes
Reply
3 Replies
dipak
Staff
Staff

Re: Does OpenCL support latest APU in Linux environment?

Hi,

The above mentioned AMD OpenCL™ 2.0 Driver is quite old and an experimental version only. Please don't use that driver.

Currently, on Linux, OpenCL is supported via these two Linux driver stacks:  AMDGPU-PRO and ROCm.

After searching for compatible drivers for those products, however, I find below drivers only for Windows.

7th Gen A12 9800 APU: Support page | AMD

AMD Ryzen™ 5 2400G with Radeon™ RX Vega 11 Graphics: Support page | AMD

Regarding the driver support, I would suggest you to check with our support team here Drivers & Software  for more information.

Regards,

merlion
Journeyman III

Re: Does OpenCL support latest APU in Linux environment?

Thank you, dipak.

After I install the driver on Windows 10, for instance, do I still need to install something to enable OpenCL?

Is there an AMD OpenCL SDK to use?

I didn't find an official OpenCL download page, except that old one.

Thanks,

M

0 Likes
Reply
dipak
Staff
Staff

Re: Does OpenCL support latest APU in Linux environment?

Please use this lite SDK package that provides the header files and libraries required to build OpenCL applications.

Releases · GPUOpen-LibrariesAndSDKs/OCL-SDK · GitHub

0 Likes
Reply